Last modified: 2014-04-30 23:11:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 63720 - Helvetica rendering issues on Windows XP
Helvetica rendering issues on Windows XP
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.23.0
PC Windows XP
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: typography-refresh
  Show dependency treegraph
 
Reported: 2014-04-09 09:28 UTC by Nemo
Modified: 2014-04-30 23:11 UTC (History)
8 users (show)

See Also:
Web browser: Google Chrome
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot of incorrect Helvetica rendering (56.20 KB, image/png)
2014-04-09 09:28 UTC, Nemo
Details

Description Nemo 2014-04-09 09:28:09 UTC
Created attachment 15063 [details]
Screenshot of incorrect Helvetica rendering

Reported by -jem-, his screenshot.

See fields for platform details; source of Helvetica not yet known:
20.58 < StevenW> jem-: where did you get that copy of Helvetica?
20.58 < jem-> Hmmmmm
20.58 < jem-> Well, I can't remember now, it was several years ago
Comment 1 -jem- 2014-04-09 09:55:01 UTC
Created attachment 15064 [details]
Helvetica TTF file which produces the incorrect rendering

Hi, -jem- here. I'm attaching the font file; I was waiting to confirm that it isn't a corrupted or somehow wrong file. Thanks, Nemo. (By the way, I was very happy after installing Libertine Sans and during the time it was being used before the Helveticas).
Comment 2 Nemo 2014-04-09 11:14:18 UTC
$ md5sum Helvetica.ttf
374f9d95794a6dfcdf28514187ccba7d  Helvetica.ttf

fontforge says "1.3 (Hewlett-Packard)" revision "39,0001"
Comment 4 Nemo 2014-04-09 11:44:16 UTC
Sorry for triple posting, now I'll go back to my business. ;-)

$ wget http://ftp.cs.stanford.edu/pub/Windows/HP/4550DN%20CD/FONTS/HELR45W.TTF ; md5sum HELR45W.TTF
a357d33ca0268421605017efd4a20b43  HELR45W.TTF

Some of the copies one finds around, while identical in size, have this different hash. The only difference I quickly see in fontforge, however, is a name somewhere.
Comment 5 Erwin Dokter 2014-04-09 15:11:33 UTC
You really shouldn't attach copyrighted font files in Bugzilla. Please delete the Helvetica TTF attachment.
Comment 6 Jared Zimmerman (WMF) 2014-04-09 19:01:04 UTC
The font in the screenshot doesn't look like helvetica to me. Additionally if this is an issue with a specific problematic font installed by an old driver its out of our control to fix. Recommend removing problem font. suggest marking bug as wontfix (can't fix)
Comment 7 Erwin Dokter 2014-04-09 21:17:44 UTC
Jared, that screenshot is indeed HP Helvetica; it really looks that bad. But I agree this is "can't fix".
Comment 8 -jem- 2014-04-09 23:51:38 UTC
(In reply to Erwin Dokter from comment #5)
> You really shouldn't attach copyrighted font files in Bugzilla. Please
> delete the Helvetica TTF attachment.

Sorry for that, I doubted about it but Nemo said it could be made private if necessary, which I guess is the status now (and it seems I can't delete it). So... I was right about my font being wrong; thanks anyway for having a look.
Comment 9 Steven Walling 2014-04-10 01:07:45 UTC
(In reply to -jem- from comment #8)
> (In reply to Erwin Dokter from comment #5)
> > You really shouldn't attach copyrighted font files in Bugzilla. Please
> > delete the Helvetica TTF attachment.
> 
> Sorry for that, I doubted about it but Nemo said it could be made private if
> necessary, which I guess is the status now (and it seems I can't delete it).
> So... I was right about my font being wrong; thanks anyway for having a look.

Thanks for being patient while we figure it out. 

Do we know if HP printers still provide this font, or is it only legacy printers?Is it all of them or some of them?
Comment 10 Nemo 2014-04-10 07:53:10 UTC
WONTFIX is not the appropriate resolution, of course we *want* fix this but the question is whether we can. INVALID seems excessive, "outside the power of MediaWiki development" is not so true (we could avoid Helvetica). Therefore if anything I consider this WORKSFORME, "acceptable workaround exists to achieve a similar outcome as requested".

So, we're currently saying users to delete the HP fonts.

FWIW there is a lot of stuff in ftp://ftp.hp.com/pub/printers/ which I also archived at https://archive.org/download/ftp-ftp.hp.com_pub-2013-10/printers.tar.lrz (40 GB).
Comment 11 Steven Walling 2014-04-10 17:39:31 UTC
(In reply to Nemo from comment #10)
> WONTFIX is not the appropriate resolution, of course we *want* fix this but
> the question is whether we can. INVALID seems excessive, "outside the power
> of MediaWiki development" is not so true (we could avoid Helvetica).
> Therefore if anything I consider this WORKSFORME, "acceptable workaround
> exists to achieve a similar outcome as requested".
> 
> So, we're currently saying users to delete the HP fonts.
> 
> FWIW there is a lot of stuff in ftp://ftp.hp.com/pub/printers/ which I also
> archived at
> https://archive.org/download/ftp-ftp.hp.com_pub-2013-10/printers.tar.lrz (40
> GB).

Thanks Nemo, that seems correct to me too.
Comment 13 Marcin Cieślak 2014-04-11 09:47:15 UTC
I believe there are ways to address this, for example by not trying to force to use some particular font family.

The issue reported under the link given in comment 12 is caused most probably by the Helvetica font supplied by Lexmark for its printers.
Comment 14 Jared Zimmerman (WMF) 2014-04-11 17:49:57 UTC
Marcin,

Thank you for taking time to comment, your time is appreciated. While your suggestion is a practical one, in practice we don't tend to design or build engineering solutions for the lowest common denominator, we build best case scenarios and plan for graceful degradation based on many different factors. This sounds like one of those issues, where a small number of users are affected by this issue, it doesn't make sense to change the defaults for all users due to this   specific issue.
Comment 15 Steven Walling 2014-04-30 23:11:47 UTC
This shouldn't be an issue anymore since the body stack is now "sans-serif"

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links